PHP Manual
Prev |  | Next

# radius_put_attr

(PECL)

radius_put_attr -- Attaches a binary attribute

## Description

bool radius_put_attr ( resource radius_handle, int type, string value )

Warning
This function is currently not documented; only the argument list is available.

## Return Values

Returns `TRUE` on success or `FALSE` on failure.

## Examples

Example 1. radius_put_attr() example
`<?php mt_srand(time()); $chall = mt_rand(); $chapval = md5(pack('Ca*',1 , 'sepp' . $chall)); $pass = pack('CH*', 1, $chapval); if (!radius_put_attr($res, RADIUS_CHAP_PASSWORD, $pass)) { echo 'RadiusError:' . radius_strerror($res). "\n<br />"; exit; } ?>`

## See Also

radius_get_attr()
radius_get_vendor_attr()
radius_put_vendor_attr()

Prev | Home | Next
radius_put_addr | Up | radius_put_int